<mat-dialog-content>

  <form [formGroup]="form" >
      <h3 class="text-center">
      <mat-form-field class="tky-full-width">
        <mat-select placeholder="Seleccionar un Producto"   formControlName="product" name="product">
          <mat-option *ngFor="let prod of products" [value]="prod">
            {{prod.viewValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </h3>

    </form>
    
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close>Cancelar</button>
  <button mat-button (click)="agreeClick()" cdkFocusInitial>Aceptar</button>
</mat-dialog-actions>